Lucene search

K
openvasCopyright (C) 2016 Greenbone AGOPENVAS:1361412562310703529
HistoryMar 22, 2016 - 12:00 a.m.

Debian: Security Advisory (DSA-3529-1)

2016-03-2200:00:00
Copyright (C) 2016 Greenbone AG
plugins.openvas.org
11

CVSS2

5.8

Attack Vector

NETWORK

Attack Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

NONE

AV:N/AC:M/Au:N/C:P/I:P/A:N

CVSS3

7.4

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

CHANGED

Confidentiality Impact

NONE

Integrity Impact

HIGH

Availability Impact

NONE

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N

AI Score

5.3

Confidence

High

EPSS

0.005

Percentile

76.2%

The remote host is missing an update for the Debian

# SPDX-FileCopyrightText: 2016 Greenbone AG
# Some text descriptions might be excerpted from (a) referenced
# source(s), and are Copyright (C) by the respective right holder(s).
#
# SPDX-License-Identifier: GPL-2.0-only

if(description)
{
  script_oid("1.3.6.1.4.1.25623.1.0.703529");
  script_cve_id("CVE-2015-8346", "CVE-2015-8473", "CVE-2015-8474", "CVE-2015-8537");
  script_tag(name:"creation_date", value:"2016-03-22 23:00:00 +0000 (Tue, 22 Mar 2016)");
  script_version("2024-02-02T05:06:05+0000");
  script_tag(name:"last_modification", value:"2024-02-02 05:06:05 +0000 (Fri, 02 Feb 2024)");
  script_tag(name:"cvss_base", value:"5.8");
  script_tag(name:"cvss_base_vector", value:"AV:N/AC:M/Au:N/C:P/I:P/A:N");
  script_tag(name:"severity_vector", value:"CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N");
  script_tag(name:"severity_origin", value:"NVD");
  script_tag(name:"severity_date", value:"2016-04-15 14:17:33 +0000 (Fri, 15 Apr 2016)");

  script_name("Debian: Security Advisory (DSA-3529-1)");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2016 Greenbone AG");
  script_family("Debian Local Security Checks");
  script_dependencies("gather-package-list.nasl");
  script_mandatory_keys("ssh/login/debian_linux", "ssh/login/packages", re:"ssh/login/release=DEB8");

  script_xref(name:"Advisory-ID", value:"DSA-3529-1");
  script_xref(name:"URL", value:"https://www.debian.org/security/2016/DSA-3529-1");
  script_xref(name:"URL", value:"https://security-tracker.debian.org/tracker/DSA-3529");

  script_tag(name:"summary", value:"The remote host is missing an update for the Debian 'redmine' package(s) announced via the DSA-3529-1 advisory.");

  script_tag(name:"vuldetect", value:"Checks if a vulnerable package version is present on the target host.");

  script_tag(name:"insight", value:"Multiple vulnerabilities have been found in Redmine, a project management web application, which may result in information disclosure.

For the stable distribution (jessie), these problems have been fixed in version 3.0~20140825-8~deb8u2.

For the testing distribution (stretch), these problems have been fixed in version 3.2.0-1.

For the unstable distribution (sid), these problems have been fixed in version 3.2.0-1.

We recommend that you upgrade your redmine packages.");

  script_tag(name:"affected", value:"'redmine' package(s) on Debian 8.");

  script_tag(name:"solution", value:"Please install the updated package(s).");

  script_tag(name:"solution_type", value:"VendorFix");
  script_tag(name:"qod_type", value:"package");

  exit(0);
}

include("revisions-lib.inc");
include("pkg-lib-deb.inc");

release = dpkg_get_ssh_release();
if(!release)
  exit(0);

res = "";
report = "";

if(release == "DEB8") {

  if(!isnull(res = isdpkgvuln(pkg:"redmine", ver:"3.0~20140825-8~deb8u2", rls:"DEB8"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"redmine-mysql", ver:"3.0~20140825-8~deb8u2", rls:"DEB8"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"redmine-pgsql", ver:"3.0~20140825-8~deb8u2", rls:"DEB8"))) {
    report += res;
  }

  if(!isnull(res = isdpkgvuln(pkg:"redmine-sqlite", ver:"3.0~20140825-8~deb8u2", rls:"DEB8"))) {
    report += res;
  }

  if(report != "") {
    security_message(data:report);
  } else if(__pkg_match) {
    exit(99);
  }
  exit(0);
}

exit(0);

CVSS2

5.8

Attack Vector

NETWORK

Attack Complexity

MEDIUM

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

NONE

AV:N/AC:M/Au:N/C:P/I:P/A:N

CVSS3

7.4

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

CHANGED

Confidentiality Impact

NONE

Integrity Impact

HIGH

Availability Impact

NONE

CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:N/I:H/A:N

AI Score

5.3

Confidence

High

EPSS

0.005

Percentile

76.2%